using TecniStamp.Domain;

namespace TecniStamp.Model;

public class RuoloViewModel
{
    public Guid Id { get; set; }
    public string Nome { get; set; }
    
    public static implicit operator RuoloViewModel(Ruolo model)
    {
        return model == null
            ? null
            : new RuoloViewModel()
            {
                Nome = model.Nome,
                Id = model.Id
            };
    }

    public Ruolo Map(Ruolo model)
    {
        return model;
    }

    public override string ToString()
    {
        return Nome;
    }
}